Overview
Comment: | Updated to pass "wget" errors from Tcl build up to stderr |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: | fd32e55ed8bb5d397f1843237bdb69e7afb2cbfe |
User & Date: | rkeene on 2011-09-14 18:25:24 |
Other Links: | manifest | tags |
Context
2011-09-15
| ||
20:00 | Added support for creating debug symbols builds check-in: 57ce9464cc user: rkeene tags: trunk | |
2011-09-14
| ||
18:25 | Updated to pass "wget" errors from Tcl build up to stderr check-in: fd32e55ed8 user: rkeene tags: trunk | |
2011-08-15
| ||
18:15 | Added a "bigbuild" option to testing check-in: 335b6cb191 user: rkeene tags: trunk | |
Changes
Modified kitcreator from [9916a29d8c] to [841b4aa9c5].
124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 |
for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} kitsh; do echo -n "Building ${pkg} ..." failed="0" ( cd "${pkg}" >/dev/null 2>/dev/null || exit 1 ./build.sh > build.log 2>&1 || exit 1 ) || failed="1" if [ "${failed}" = "1" ]; then echo " failed." failedpkgs="${failedpkgs} ${pkg}" else echo " done." |
| |
124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 |
for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} kitsh; do
echo -n "Building ${pkg} ..."
failed="0"
(
cd "${pkg}" >/dev/null 2>/dev/null || exit 1
./build.sh 3>&1 4>&2 > build.log 2>&1 || exit 1
) || failed="1"
if [ "${failed}" = "1" ]; then
echo " failed."
failedpkgs="${failedpkgs} ${pkg}"
else
echo " done."
|
Modified tcl/build.sh from [8a67bfa303] to [4268eb0491].
97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 |
cd ..
rm -rf "${workdir}"
) || exit 1
else
if [ ! -d 'buildsrc' ]; then
rm -f "${SRC}.tmp"
wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
mv "${SRC}.tmp" "${SRC}"
fi
fi
fi
(
cd 'build' || exit 1
|
| > > > > > > > > > |
97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 |
cd .. rm -rf "${workdir}" ) || exit 1 else if [ ! -d 'buildsrc' ]; then rm -f "${SRC}.tmp" wget -O "${SRC}.tmp" "${SRCURL}" || ( echo ' Unable to download source code for Tcl.' >&4 echo " Attempted to run: wget -O \"${SRC}.tmp\" \"${SRCURL}\"" >&4 echo " Got:" wget -O "${SRC}.tmp" "${SRCURL}" 2>&1 | sed 's@^@ @' >&4 echo ' Aborting Tcl -- further packages will likely also fail.' >&4 exit 1 ) || exit 1 mv "${SRC}.tmp" "${SRC}" fi fi fi ( cd 'build' || exit 1 |